summaryrefslogtreecommitdiffstats
path: root/remote/rootfs
diff options
context:
space:
mode:
authorMichael Neves2013-05-03 14:17:15 +0200
committerMichael Neves2013-05-03 14:17:15 +0200
commit3df42c7b23aefa8086784d0a18deb5f82bbe11a1 (patch)
treee1867a49cf85220ecb56e09e1609fbb5cb8a6302 /remote/rootfs
parentadd xterm test session (diff)
downloadtm-scripts-3df42c7b23aefa8086784d0a18deb5f82bbe11a1.tar.gz
tm-scripts-3df42c7b23aefa8086784d0a18deb5f82bbe11a1.tar.xz
tm-scripts-3df42c7b23aefa8086784d0a18deb5f82bbe11a1.zip
move /openslx to /opt/openslx
Diffstat (limited to 'remote/rootfs')
-rw-r--r--remote/rootfs/rootfs-stage32/data/etc/profile8
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script2
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/usr/sbin/mountexport10
-rw-r--r--remote/rootfs/rootfs-stage32/rootfs-stage32.build2
4 files changed, 11 insertions, 11 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/etc/profile b/remote/rootfs/rootfs-stage32/data/etc/profile
index ff29e9c5..a9b85a9c 100644
--- a/remote/rootfs/rootfs-stage32/data/etc/profile
+++ b/remote/rootfs/rootfs-stage32/data/etc/profile
@@ -5,10 +5,10 @@ export PATH=\
/sbin:\
/usr/bin:\
/usr/sbin:\
-/openslx/bin:\
-/openslx/sbin:\
-/openslx/usr/bin:\
-/openslx/usr/sbin
+/opt/openslx/bin:\
+/opt/openslx/sbin:\
+/opt/openslx/usr/bin:\
+/opt/openslx/usr/sbin
# If running interactively, then:
if [ "$PS1" ]; then
diff --git a/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script b/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
index b4cd0ee5..773a7370 100755
--- a/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
+++ b/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
@@ -20,7 +20,7 @@
RESOLV_CONF="/etc/resolv.conf"
IP_CONF="/tmp/udhcpc_ip_config"
-export PATH=$PATH:/openslx/sbin:/openslx/bin
+export PATH=$PATH:/opt/openslx/sbin:/opt/openslx/bin
set >> /root/udhcpc_args
diff --git a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
index 61176364..cc08728e 100755
--- a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
+++ b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
@@ -1,6 +1,6 @@
#!/bin/bash
-export PATH=$PATH:/openslx/usr/sbin:/openslx/usr/bin:/openslx/sbin:/openslx/bin
+export PATH=$PATH:/opt/openslx/usr/sbin:/opt/openslx/usr/bin:/opt/openslx/sbin:/opt/openslx/bin
if grep "Ubuntu" "/etc/issue" >/dev/null; then
EXPORT="132.230.8.113:/srv/ubuntu1304"
@@ -11,7 +11,7 @@ else
exit 1
fi
-echo "Mounting ${EXPORT} to /openslx/mnt"
-mount -t nfs -o ro,async,nolock,vers=3 "$EXPORT" /openslx/mnt || { echo "Fail." && exit 1; }
-echo "Appending /openslx/mnt to /"
-mount -o remount,append:/openslx/mnt=ro / || { echo "Fail." && exit 1; }
+echo "Mounting ${EXPORT} to /opt/openslx/mnt"
+mount -t nfs -o ro,async,nolock,vers=3 "$EXPORT" /opt/openslx/mnt || { echo "Fail." && exit 1; }
+echo "Appending /opt/openslx/mnt to /"
+mount -o remount,append:/opt/openslx/mnt=ro / || { echo "Fail." && exit 1; }
diff --git a/remote/rootfs/rootfs-stage32/rootfs-stage32.build b/remote/rootfs/rootfs-stage32/rootfs-stage32.build
index 164a3464..fe0a32ad 100644
--- a/remote/rootfs/rootfs-stage32/rootfs-stage32.build
+++ b/remote/rootfs/rootfs-stage32/rootfs-stage32.build
@@ -63,7 +63,7 @@ post_copy() {
"${TARGET_BUILD_DIR}"/dev || perror "Copying devices from running system failed."
# set /etc/environment to include /openslx/bin and /openslx/sbin
- echo "PATH=\"/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/openslx/sbin:/openslx/bin\"" \
+ echo "PATH=\"/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/openslx/sbin:/opt/openslx/bin\"" \
> "${TARGET_BUILD_DIR}/etc/environment"
# copy static files